Subject: bug#20822: environment mangled by locale

From: John Darrington <[email-masked]>
Date: Tue, 16 Jun 2015 22:50:17 +0200

On Tue, Jun 16, 2015 at 10:03:48PM +0200, Andreas Rottmann wrote:
     John Darrington <[email-masked]> writes:
     
     > Can we configure this mailing list better?
     >
     > Many (all?) of the messages posted have no obvious indication of which
     > mailing list they are coming from.
     >
     > The subject line is something like "bug#12345: description"
     > The To: field is [email-masked]
     >
     > In general, it takes a lot of detective work to discover that message
     > relates to guile.
     >
     No, it doesn't, there's a List-Id header in all messages sent out via
     the list:
     
     List-Id: "Bug reports for GUILE, GNU's Ubiquitous Extension Language" <bug-guile.gnu.org>

OK Thanks.  If that is invariant, then I'll set a rule accordingly.  
Now that I know, I can do that.
     
     Putting an
     identifier into the subject just clutters the view for people who have
     set up their email clients appropriatly for use with mailing list.

I don't agree.  In fact, I set my email client for use with mailing lists.  That is why
I made the suggestion.  I like to know if I'm receiving personally addressed mail, or
mail via a list (without having to explicitly check the envelope and all headers).
     
     >From the email headers of your post, it seems you use mutt; I don't know
     if mutt has built-in support for grouping based on List-Id (I'd guess
     no), but you can use a tool (MDA) like "maildrop"[1], "scmail"[2] or
     "procmail"[3]" to automatically put the email you receive via mailing
     lists into different (e.g.) IMAP mailboxes.

I do know how to use my computer - I just didn't know what field this list
used to identify itself.  But thanks for reminding me anyway.
     
     > Can it not be configured to Prepend the Subject: line with Bug-Guile
     > or something similar?  That way it'd be easier to manage - either
     > manually or automatically.
     >
     As mentioned above, this is not a good idea.

There are a lot of email conventions which are not good ideas.  They are nevertheless
ubiquitous, and refusing to conform to them is also not a good idea.
     
Anyway, I'll set a rule on the List-Id field as you suggested and  hopefully that'll
fix the problem.

Sorry for the noise.

J'

-- 
PGP Public key ID: 1024D/2DE827B3 
fingerprint = 8797 A26D 0854 2EAB 0285  A290 8A67 719C 2DE8 27B3
See http://sks-keyservers.net or any PGP keyserver for public key.